# Edit this configuration file to define what should be installed on
# your system. Help is available in the configuration.nix(5) man page, on
# https://search.nixos.org/options and in the NixOS manual (`nixos-help`).

{ config, lib, pkgs, ... }:

{

  boot.loader = {
    systemd-boot.enable = true;
    timeout = 0;
    efi.canTouchEfiVariables = true;
  };

  # cause it is so inconveniently located
  services.logind.powerKey = "ignore";
  services.logind.lidSwitch = "sleep";
  services.logind.lidSwitchDocked = "ignore";

  # requires too many shenanigans so I just install using --no-root-passwd
  # users.users.root.hashedPassword = "!";

  nixpkgs.config.allowUnfree = true;

  # For more information, see `man configuration.nix` or https://nixos.org/manual/nixos/stable/options#opt-system.stateVersion .
  system.stateVersion = "24.05"; # Did you read the comment?
}
