{inputs, pkgs, ...}:
{
  programs.hyprlock = {
    enable = true;
    settings = {


      # # prevent the screen being shown for a split second
      # animations = {
      #   animation = "fadeIn, 0, 0, linear";
      # };

      general = {
        # immediately lock the screen
        grace = 0;
        no_fade_in = false;
        disable_loading_bar = false;
      };

      background =  {
        blur_passes = 3;
        blur_size = 10;
        # image is set by stylix
      };

      input-field = {
        monitor = "";
        size = "300, 60";
        # radius = 15;
        position = "0, -250";
        halign = "center";
        valign = "center";
      };

      label = [
        {
          # Day-Month-Date
          monitor = "";
          text = ''cmd[update:1000] echo -e "$(date +"%A, %B %d")"'';
          font_size = 28;
          position = "0, 490";
          halign = "center";
          valign = "center";
        }
        # Time
        {
          monitor = "";
          text = ''cmd[update:1000] echo "<span>$(date +"%H:%M")</span>"'';
          font_size = 160;
          font_weight = "bold";
          # font_family = "steelfish outline regular";
          position = "0, 370";
          halign = "center";
          valign = "center";
        }
      ];
    };
  };
}
